### Method

# Camel Session ref_main_context

since: 3.8

#### Declaration [src]

    GMainContext*
    camel_session_ref_main_context (
      CamelSession* session
    )

#### Description [src]

Returns the `GMainContext` on which event sources for `session` are to be attached.

Available since: 3.8

#### Return value

Type: `GMainContext`

A `GMainContext`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.